Puts the catalog entry warehouse inventory.
1 min
PUT
/episerverapi/commerce/entries/{entryCode}/inventories/{warehouseCode}
Path Parameters
- warehouseCodestringrequiredDescription
- entryCodestringrequired
Query Parameters
- entryCodestringDescription
Body Parameters
- bodyWarehouseInventoryDescription
- catalogEntryCodestringDescription
- warehouseCodestringDescription
- warehouseLinkResourceLinkDescription
- titlestringDescription
- typestringDescription
- hrefstringDescription
- propertiesNameValue[]Description
- namestringDescription
- valuestringDescription
- inStockQuantitynumber<double>DescriptionFormatdouble
- reservedQuantitynumber<double>DescriptionFormatdouble
- reorderMinQuantitynumber<double>DescriptionFormatdouble
- preorderQuantitynumber<double>DescriptionFormatdouble
- backorderQuantitynumber<double>DescriptionFormatdouble
- allowBackorderbooleanDescription
- allowPreorderbooleanDescription
- inventoryStatusstringDescription
- preorderAvailabilityDatestring<date-time>DescriptionFormatdate-time
- backorderAvailabilityDatestring<date-time>DescriptionFormatdate-time
- purchaseAvailableDatestring<date-time>DescriptionFormatdate-time
Responses
200
204
400
401
404
curl
curl --request PUT \
--url /episerverapi/commerce/entries/{entryCode}/inventories/{warehouseCode} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PUT',
headers: myHeaders,
redirect: 'follow'
};
fetch("/episerverapi/commerce/entries/{entryCode}/inventories/{warehouseCode}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/episerverapi/commerce/entries/{entryCode}/inventories/{warehouseCode}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/episerverapi/commerce/entries/{entryCode}/inventories/{warehouseCode}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// Success
204
// The warehouse inventory is saved.
400
// If the catalog entry warehouse inventory model is not valid.
401
// If user does not have enough permission for this request.
404
// If entry or warehouse inventory does not exist.